Bug 801658 - rebalance does not truncate the files in source machine.
rebalance does not truncate the files in source machine.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: unclassified (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: shishir gowda
M S Vishwanath Bhat
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-09 00:53 EST by M S Vishwanath Bhat
Modified: 2016-05-31 21:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:04:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2012-03-09 00:53:04 EST
Description of problem:
After rebalance files in source brick is not getting truncated.

Had a 1 node distribute machine. Created the data on the mountpoint i.e. untarred the linux kernel. So on the back-end the size was 579MB. Now I add one more brick and start rebalance. After rebalance completed the size of the source brick was 508MB and size of the dest brick (newly added brick) was 538MB. So the files in source machine is not getting truncated.

Version-Release number of selected component (if applicable):
git master

How reproducible:
2/2

Steps to Reproduce:
1. Create a single node dist volume.
2. Untar the Linux kernel on the mountpoint.
3. Check the size in the back end export brick (579MB)
4. Add one more brick and run rebalance.
5. After rebalance completed chekc the size in both the back-end export bricks.
  
Actual results:
After rebalance size (du -sh) was 508Mb and 538MB respectively. 


Expected results:
Files in source brick should get truncated.

Additional info:
Comment 1 Anand Avati 2012-03-10 01:38:29 EST
CHANGE: http://review.gluster.com/2905 (cluster/dht: Replace ftruncate call with truncate in rebalance) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 M S Vishwanath Bhat 2012-05-31 03:38:31 EDT
Now data in source machine is getting truncated. Moving to verified.

Note You need to log in before you can comment on or make changes to this bug.